<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="about.html" />
<link rel="prev" href="mailman-install.html" />
<link rel="parent" href="mailman-install.html" />
<link rel="next" href="node2.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>Front Matter</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="GNU mailman - Installation"
  href="mailman-install.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="GNU mailman - Installation"
  href="mailman-install.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="1 installation Requirements"
  href="node2.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="mailman-install.html">GNU Mailman - Installation</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="mailman-install.html">GNU Mailman - Installation</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node2.html">1 Installation Requirements</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION001000000000000000000"></a><a name="front"></a>
<br>
Front Matter
</h1>

<p>

<h3>Abstract:</h3>
<div class="ABSTRACT">

This document describes how to install GNU Mailman on a POSIX-based system
such as <span class="Unix">Unix</span>, MacOSX, or GNU/Linux.  It will cover basic installation
instructions, as well as guidelines for integrating Mailman with your web and
mail servers.

<p>
The GNU Mailman website is at <a class="url" href="http://www.list.org">http://www.list.org</a></div>
<p>

<p>

<p><br /></p><hr class='online-navigation' />
<div class='online-navigation'>
<!--Table of Child-Links-->
<a name="CHILD_LINKS"><strong>Subsections</strong></a>

<ul class="ChildLinks">
<li><a href="node2.html">1 Installation Requirements</a>
<li><a href="node3.html">2 Set up your system</a>
<ul>
<li><a href="node4.html">2.1 Add the group and user</a>
<li><a href="create-install-dir.html">2.2 Create the installation directory</a>
</ul>
<li><a href="building.html">3 Build and install Mailman</a>
<ul>
<li><a href="node7.html">3.1 Run <b class="program">configure</b></a>
<li><a href="node8.html">3.2 Make and install</a>
</ul>
<li><a href="node9.html">4 Check your installation</a>
<li><a href="node10.html">5 Set up your web server</a>
<li><a href="mail-server.html">6 Set up your mail server</a>
<ul>
<li><a href="node12.html">6.1 Using the Postfix mail server</a>
<ul>
<li><a href="postfix-integration.html">6.1.1 Integrating Postfix and Mailman</a>
<li><a href="postfix-virtual.html">6.1.2 Virtual domains</a>
<li><a href="node15.html">6.1.3 An alternative approach</a>
</ul>
<li><a href="node16.html">6.2 Using the Exim mail server</a>
<ul>
<li><a href="node17.html">6.2.1 Exim configuration</a>
<li><a href="node18.html">6.2.2 Main configuration settings</a>
<li><a href="exim3-transport.html">6.2.3 Transport for Exim 3</a>
<li><a href="node20.html">6.2.4 Director for Exim 3</a>
<li><a href="node21.html">6.2.5 Router for Exim 4</a>
<li><a href="node22.html">6.2.6 Transports for Exim 4</a>
<li><a href="node23.html">6.2.7 Additional notes</a>
<li><a href="node24.html">6.2.8 Problems</a>
<li><a href="node25.html">6.2.9 Receiver Verification</a>
<li><a href="node26.html">6.2.10 SMTP Callback</a>
<li><a href="node27.html">6.2.11 Doing VERP with Exim and Mailman</a>
<li><a href="node28.html">6.2.12 Virtual Domains</a>
<li><a href="node29.html">6.2.13 List Verification</a>
<li><a href="node30.html">6.2.14 Document History</a>
</ul>
<li><a href="node31.html">6.3 Using the Sendmail mail server</a>
<ul>
<li><a href="node32.html">6.3.1 Sendmail ``smrsh'' compatibility</a>
<li><a href="node33.html">6.3.2 Integrating Sendmail and Mailman</a>
<li><a href="node34.html">6.3.3 Performance notes</a>
</ul>
<li><a href="qmail-issues.html">6.4 Using the Qmail mail server</a>
<ul>
<li><a href="node36.html">6.4.1 Information on VERP</a>
<li><a href="node37.html">6.4.2 Virtual mail server</a>
<li><a href="node38.html">6.4.3 More information</a>
</ul>
</ul>
<li><a href="customizing.html">7 Review your site defaults</a>
<li><a href="site-list.html">8 Create a site-wide mailing list</a>
<li><a href="node41.html">9 Set up cron</a>
<li><a href="node42.html">10 Start the Mailman qrunner</a>
<li><a href="node43.html">11 Check the hostname settings</a>
<li><a href="node44.html">12 Create the site password</a>
<li><a href="node45.html">13 Create your first mailing list</a>
<li><a href="troubleshooting.html">14 Troubleshooting</a>
<li><a href="node47.html">15 Platform and operating system notes</a>
<ul>
<li><a href="node48.html">15.1 GNU/Linux issues</a>
<li><a href="bsd-issues.html">15.2 BSD issues</a>
<li><a href="node50.html">15.3 MacOSX issues</a>
</ul></ul>
<!--End of Table of Child-Links-->
</div>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="GNU mailman - Installation"
  href="mailman-install.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="GNU mailman - Installation"
  href="mailman-install.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="1 installation Requirements"
  href="node2.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="mailman-install.html">GNU Mailman - Installation</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="mailman-install.html">GNU Mailman - Installation</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node2.html">1 Installation Requirements</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
